# This file created by conda-build 24.3.0
# ------------------------------------------------

package:
  name: cryptography
  version: 42.0.7
source:
  sha256: 98fbaf469be4d91e1776384a0e8ba7b3b88f67685d7bfc01bc414676e18af68f
  url: https://github.com/pyca/cryptography/archive/refs/tags/42.0.7.tar.gz
build:
  number: 0
  script:
    - export OPENSSL_DIR=$PREFIX
    - python -m pip install . -vv
  string: py312hbcc2302_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 ha885e6a_0
    - binutils_linux-64 2.40 hdade7a5_3
    - gcc_impl_linux-64 12.3.0 h58ffeeb_7
    - gcc_linux-64 12.3.0 h6477408_3
    - kernel-headers_linux-64 2.6.32 he073ed8_17
    - ld_impl_linux-64 2.40 h55db66e_0
    - libgcc-devel_linux-64 12.3.0 h0223996_107
    - libgcc-ng 13.2.0 h77fa898_7
    - libgomp 13.2.0 h77fa898_7
    - libsanitizer 12.3.0 hb8811af_7
    - libstdcxx-ng 13.2.0 hc0a3c3a_7
    - libzlib 1.2.13 hd590300_5
    - rust 1.77.2 h70c747d_0
    - rust-std-x86_64-unknown-linux-gnu 1.77.2 h2c6d0dc_0
    - rust_linux-64 1.77.2 h4186e68_3
    - sysroot_linux-64 2.12 he073ed8_17
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 hd590300_5
    - ca-certificates 2024.2.2 hbcca054_0
    - cffi 1.16.0 py312hf06ca03_0
    - ld_impl_linux-64 2.40 h55db66e_0
    - libexpat 2.6.2 h59595ed_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.2.0 h77fa898_7
    - libgomp 13.2.0 h77fa898_7
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.45.3 h2797004_0
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.2.13 hd590300_5
    - ncurses 6.4.20240210 h59595ed_0
    - openssl 3.3.0 hd590300_0
    - pip 24.0 pyhd8ed1ab_0
    - pycparser 2.22 pyhd8ed1ab_0
    - python 3.12.3 hab00c5b_0_cpython
    - python_abi 3.12 4_cp312
    - readline 8.2 h8228510_1
    - semantic_version 2.10.0 pyhd8ed1ab_0
    - setuptools 69.5.1 pyhd8ed1ab_0
    - setuptools-rust 1.9.0 pyhd8ed1ab_0
    - tk 8.6.13 noxft_h4845f30_101
    - tomli 2.0.1 pyhd8ed1ab_0
    - tzdata 2024a h0c530f3_0
    - wheel 0.43.0 pyhd8ed1ab_1
    - xz 5.2.6 h166bdaf_0
  run:
    - cffi >=1.12
    - libgcc-ng >=12
    - openssl >=3.3.0,<4.0a0
    - python >=3.12,<3.13.0a0
    - python_abi 3.12.* *_cp312
test:
  commands:
    - pytest tests -k "not (TestRSADecryption and test_decrypt_invalid_decrypt)"
  imports:
    - cryptography
    - cryptography.fernet
    - cryptography.hazmat
    - cryptography.hazmat.backends
    - cryptography.hazmat.backends.openssl
    - cryptography.hazmat.bindings
    - cryptography.hazmat.bindings.openssl
    - cryptography.hazmat.primitives
    - cryptography.hazmat.primitives.asymmetric
    - cryptography.hazmat.primitives.ciphers
    - cryptography.hazmat.primitives.kdf
    - cryptography.hazmat.primitives.twofactor
    - cryptography.x509
  requires:
    - certifi
    - cryptography-vectors 42.0.7.*
    - hypothesis
    - iso8601
    - pretend
    - pytest
    - pytest-benchmark
    - pytest-subtests
    - pytz
  source_files:
    - pyproject.toml
    - tests
about:
  description: 'cryptography is a package which provides cryptographic recipes and

    primitives to Python developers. Our goal is for it to be your

    "cryptographic standard library". It supports Python 3.6+ and PyPy3 7.2+.

    cryptography includes both high level recipes and low level interfaces

    to common cryptographic algorithms such as symmetric ciphers, message

    digests, and key derivation functions..

    '
  dev_url: https://github.com/pyca/cryptography
  doc_source_url: https://github.com/pyca/cryptography/blob/main/docs/index.rst
  doc_url: https://cryptography.io/en/latest
  home: https://cryptography.io
  license: Apache-2.0 AND BSD-3-Clause AND PSF-2.0 AND MIT
  license_family: BSD
  license_file: LICENSE
  summary: cryptography is a package designed to expose cryptographic primitives and
    recipes to Python developers.
extra:
  copy_test_source_files: true
  feedstock-name: cryptography
  final: true
  flow_run_id: azure_20240506.4.1
  recipe-maintainers:
    - h-vetinari
    - jakirkham
    - ocefpaf
  remote_url: https://github.com/conda-forge/cryptography-feedstock
  sha: 4ac16574dfa630e826c6dff90ca31f5374077cbf
